Bug 1006417 - Plugin "langpacks" can't be imported
Plugin "langpacks" can't be imported
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-langpacks (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
: 1006749 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 11:05 EDT by Orion Poplawski
Modified: 2013-09-22 20:19 EDT (History)
8 users (show)

See Also:
Fixed In Version: yum-langpacks-0.4.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 22:37:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-09-10 11:05:17 EDT
Description of problem:

Running yum, I get:

Plugin "langpacks" can't be imported

Version-Release number of selected component (if applicable):
yum-langpacks-0.4.0-2.fc21.noarch

Downgrading to 3.4-2.fc20 fixes it.
Comment 1 Parag Nemade 2013-09-10 11:34:18 EDT
I tried on F20 and it worked fine for me.
Comment 2 Jens Petersen 2013-09-10 23:31:20 EDT
Orion, can you describe what command you ran and the context, please?
Comment 3 Orion Poplawski 2013-09-11 00:05:16 EDT
Basically any yum command produces it - including "yum upgrade" and the /etc/cron.hourly/0yum.cron script.
Comment 4 Jens Petersen 2013-09-11 00:47:33 EDT
I see - could you paste the output here?
Comment 5 Jens Petersen 2013-09-11 00:54:59 EDT
Actually nevermind - reproduced in rawhide.

# yum update
Plugin "langpacks" can't be imported.

(I assume you meant downgrading to yum-langpacks-0.3.4-2.fc20 fixed it.)
Comment 6 Parag Nemade 2013-09-11 01:23:42 EDT
I installed a fresh f20 system and I can reproduce this bug. Its a packaging bug. Will fix in next release.
Comment 7 Fedora Update System 2013-09-11 01:41:32 EDT
yum-langpacks-0.4.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-langpacks-0.4.0-3.fc20
Comment 8 Fedora Update System 2013-09-11 01:58:18 EDT
yum-langpacks-0.4.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-langpacks-0.4.0-3.fc19
Comment 9 Parag Nemade 2013-09-11 04:51:11 EDT
*** Bug 1006749 has been marked as a duplicate of this bug. ***
Comment 10 Orion Poplawski 2013-09-11 11:42:05 EDT
-3.fc21 works for me.  Thanks.
Comment 11 Fedora Update System 2013-09-11 13:00:30 EDT
Package yum-langpacks-0.4.0-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-langpacks-0.4.0-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16445/yum-langpacks-0.4.0-3.fc20
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-09-13 22:37:59 EDT
yum-langpacks-0.4.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-09-22 20:19:34 EDT
yum-langpacks-0.4.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.